how to? (Check geometry-->macro-->makeText)

Need help, or want to share a macro? Post here!
Forum rules
Be nice to others! Respect the FreeCAD code of conduct!
Post Reply
mrrclb48z
Posts: 54
Joined: Wed Feb 07, 2018 11:20 am

how to? (Check geometry-->macro-->makeText)

Post by mrrclb48z »

how to? (Check geometry-->macro-->makeText)
Thank you in advance and sorry for the bad english!

Code: Select all

# -*- coding: utf-8 -*-
#how to? (Check geometry-->macro-->makeText) 
import FreeCAD
import Part
import DraftTools
import Draft
def myTxtOut(P5x,P5y,P5z,myStr):
        p5 = FreeCAD.Vector(P5x,P5y,P5z)
        myText = Draft.makeText(myStr,p5) 
        myText.Label = myStr
App.ActiveDocument.addObject("Part::Sphere","Sphere")
App.ActiveDocument.ActiveObject.Label = "Sphere"
#example-text????????????????????????????????????????????????????????????????????
myTxtOut(0,0,5,"Check Geometry Shape Content"+"Unnamed.Sphere.Face1:" + " VERTEX : 2 " + "WIRE: 1......")
App.ActiveDocument.recompute()
chrisb
Veteran
Posts: 53943
Joined: Tue Mar 17, 2015 9:14 am

Re: how to? (Check geometry-->macro-->makeText)

Post by chrisb »

mrrclb48z wrote: Tue May 15, 2018 1:13 pm how to? (Check geometry-->macro-->makeText)
"how to" is not really bad, but it is not much either. You might use a translation program and tell us a bit more about what you want.

There are several foreign language subforums, perhaps your language is among them.
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
Post Reply